## org.apache.hadoop.mapreduce.security.token
Class JobTokenIdentifier.Renewer

    java.lang.Object
      org.apache.hadoop.security.token.TokenRenewer
          org.apache.hadoop.security.token.Token.TrivialRenewer
              org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier.Renewer

Enclosing class:
  JobTokenIdentifier

    @InterfaceAudience.Private
    public static class JobTokenIdentifier.Renewer

extends Token.TrivialRenewer

Constructor Summary
`JobTokenIdentifier.Renewer()`

Method Summary
`protected Text` `getKind()`

Methods inherited from class org.apache.hadoop.security.token.Token.TrivialRenewer
`cancel, handleKind, isManaged, renew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTokenIdentifier.Renewer

    public JobTokenIdentifier.Renewer()

Method Detail

### getKind

    protected Text getKind()

  Overrides:
    `getKind` in class `Token.TrivialRenewer`

Copyright © 2009 The Apache Software Foundation